
<template>
      <div class="inline-flex m-1 items-center px-3 py-2 bg-secondary rounded-xl overflow-auto">
        <img loading="lazy" v-if="name" class="h-5 rounded-lg mr-2" :src="imgUrl">
        <p class="font-bold text-gray-800">
          <slot></slot>
        </p>
      </div>
</template>

<script>
export default {
  name: 'branded-tokens',
  props: {
    name: String
  },
  computed: {
    imgUrl: function () {
      try {
        return require(`../../assets/tokens/${this.name}.png`)
      } catch (e) {
        return require(`../../assets/tokens/default.png`)
      }
    }
  }
}
</script>

<style>

</style>